# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin
LIBS += -lWrtSecurityManager

maemo {
    maemo5 {
        DEFINES += __MAEMO__
        CONFIG(debug):CALENSVC_SRC_PATH = ./platform/maemo5/
        CONFIG(debug):CALENSVC_INC_PATH = ./platform/maemo5/
        CONFIG(release):CALENSVC_SRC_PATH = ./platform/maemo5/
        CONFIG(release):CALENSVC_INC_PATH = ./platform/maemo5/
        HEADERS = $$CALENSVC_INC_PATH/qcalendarservice.h \
                    $$CALENSVC_INC_PATH/qcalendarhelper.h \
                    $$CALENSVC_INC_PATH/qgetlisttask.h \
                    $$CALENSVC_INC_PATH/qcalendariterator.h \
                    $$CALENSVC_INC_PATH/qcalendarconstants.h \
                    ./qcalendarserviceplugin.h
        SOURCES = $$CALENSVC_SRC_PATH/qcalendarservice.cpp \
                    $$CALENSVC_SRC_PATH/qcalendarhelper.cpp \
                    $$CALENSVC_SRC_PATH/qgetlisttask.cpp \
                    $$CALENSVC_SRC_PATH/qcalendariterator.cpp \
                    ./qcalendarserviceplugin.cpp
    }
}
TARGET = WrtApiCalendar
include(../../cwrt.pri)
include(../../../qtsfw.pri)
INCLUDEPATH += $$CWRT_INCLUDE
maemo {
    include(../cwrtservice.pri)

    maemo5 {
        CONFIG+=mobility
        MOBILITY += serviceframework
        LIBS += -lcalendar_backend
        LIBS += -lical
        LIBS += -lWrtSecurityManager
        INCLUDEPATH += $$CWRT_INCLUDE \
            /usr/include/calendar-backend \
            /usr/include/libical \
            $$CALENSVC_INC_PATH \
            /usr/include/Qt/ \
            /usr/include/wrt/security \
            /usr/include/wrt/servicefw
    }
}
