# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin
maemo {
 maemo5 {
    CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT
    CONFIG(debug):CAMERA_SRC_PATH = ./platform/maemo5/
    CONFIG(debug):CAMERA_INC_PATH = ./platform/maemo5/
    CONFIG(release):CAMERA_SRC_PATH = ./platform/maemo5/
    CONFIG(release):CAMERA_INC_PATH = ./platform/maemo5/
}
}

maemo {
  maemo5 {
    HEADERS =  $$CAMERA_INC_PATH/qcameraservice.h \
               $$CAMERA_INC_PATH/qcameraconstants.h \
               ./qcameraserviceplugin.h                

    SOURCES = $$CAMERA_SRC_PATH/qcameraservice.cpp \
              ./qcameraserviceplugin.cpp

  }
}


VERSION = 3.0.0
TARGET = WrtApiCamera
include(../../cwrt.pri)
include(../../../qtsfw.pri)

maemo {
include(../cwrtservice.pri)
maemo5 {
    INCLUDEPATH += $$CWRT_INCLUDE \
                   $$CAMERA_INC_PATH

    CONFIG += mobility
    MOBILITY += serviceframework

    # Build against wrt-dev package
    cwrt-services {
        LIBS += -lWrtSecurityManager
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }
}
}
