#ifndef __QASYNCTASK_H
#define __QASYNCTASK_H

#include <QRunnable>
#include <QObject>
#include "qsysinfotypes.h"
#include "qsysinfoelement.h"

class QISysInfo;

class QAsyncTask: public QObject, public QRunnable 
{
    Q_OBJECT

public:
        ~QAsyncTask();
    QAsyncTask(int transactionId, SysInfoProperty channel);
    void run();

signals:
    int requestCompleted( int error, int transactionId,const ChannelInformation& channelInfo );
private:
        QISysInfo* m_instance;
        SysInfoProperty mchannelId;
        int mtransactionId;
};

#endif // __QASYNCTASK_H
