#include "qdeviceextensions.h"
#include "qsysinfoproperties.h"
#include "qsysinfoelement.h"
#include "qasynctask.h"
using namespace DeviceExtensions;


QDeviceExtensions::QDeviceExtensions()
{
}

QDeviceExtensions::~QDeviceExtensions()
{
}

int QDeviceExtensions::getChannel( SysInfoProperty channelId , 
        const ChannelInformation& input ,
        QMap<SysInfoProperty, QVariant>& channelInfo )

{
    int errCode = ErrNoError ;

    switch( channelId )
    {
        default:
		errCode = ErrNotSupported;
		channelInfo.insert( channelId, "" );
		break;

    }
    return errCode;
}

int QDeviceExtensions::getChannelAsync( SysInfoProperty channelId , int transId)
{
    int errCode = ErrNoError;

    switch( channelId )
    {
        default:
            errCode = ErrNotSupported;
            break;
    }
    return errCode;
}

int QDeviceExtensions::cancel( SysInfoProperty channelId , int transId)
{

    return 0;
}

int QDeviceExtensions::startChannel( SysInfoProperty channelId,
        const ChannelInformation& triggerInfo,
        int transId)
{
    int errCode = ErrNoError;
    switch(channelId)
    {
        default:
            errCode = ErrNotSupported;
            break;
    }
    return errCode;
}

int QDeviceExtensions::stopChannel( SysInfoProperty channelId ) 
{
    int errCode = ErrNoError;
    switch( channelId)
    {
        default:
            errCode = ErrNotSupported;
    }
    return errCode;
}
int QDeviceExtensions::setChannelSync( SysInfoProperty channelId ,const QVariant& input,QMap<SysInfoProperty, QVariant>& errData)
{
    int errCode = ErrNoError;

    switch(channelId)
    {
        default:
            errCode = ErrNotSupported;
            errData.insert( channelId, "" );
            break;
    }
    return errCode;
}

int QDeviceExtensions::getChannelList(QList<SysInfoProperty>& channelList) 
{
    return 0;
}


