#ifndef __QERRORSTORE_H
#define __QERRORSTORE_H

#include <QMap>
#include <QString>

#include "qsysinfotypes.h"

class QErrorStore
{
	
public:
    QErrorStore( SysInfoProperty value, const QString& key );
    ~QErrorStore();
    
    static const QString description( SysInfoProperty code );
private:
    static int refCount;
    static QMap< SysInfoProperty , QString>* errorMap;
};

#endif //__QERRORSTORE_H
