#ifndef __QMULTIMEDIA_P_H
#define __QMULTIMEDIA_P_H

#include "qmultimedia.h"

class QMultimediaPrivate : public QMultimedia
{
    Q_OBJECT
public:
	int getChannel( SysInfoProperty channelId , 
            const ChannelInformation&  input ,
            QMap<SysInfoProperty, QVariant>& channelInfo );
    int getChannelAsync( SysInfoProperty channelId , int transId);
    int startChannel( SysInfoProperty channelId,
                                 const ChannelInformation& triggerInfo,
                                 int transId);
    int stopChannel( SysInfoProperty channelId);
    int setChannelSync( SysInfoProperty channelId ,  const QVariant& input,QMap<SysInfoProperty, QVariant>& errData);
    int cancel( SysInfoProperty channelId , int transId) ;
    int getChannelList(QList<SysInfoProperty>& channelList) ;

};

#endif // __QMULTIMEDIA_P_H
