#include "qnetworkinfo.h"
#include "qsysinfoproperties.h"
#include "qsysinfoelement.h"
#include "qasynctask.h"

using namespace NetworkInfo;

QNetworkInfo::~QNetworkInfo()
{
}

QNetworkInfo::QNetworkInfo()
{
}

int QNetworkInfo::getChannelAsync( SysInfoProperty channelId , int transId)
{
    QSysInfoElement element;
    int errCode = ErrNoError;

    switch( channelId )
    {
        default:
            break;
    }
    return errCode;
}

int QNetworkInfo::getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input ,
            QMap<SysInfoProperty, QVariant>& channelInfo )
{
    int errCode = ErrNoError;

    switch(channelId)
    {
        default:
            errCode = ErrNotSupported;
            channelInfo.insert( channelId, "" );
            break;
    }
    return errCode;
}

int QNetworkInfo::startChannel( SysInfoProperty channelId,
        const ChannelInformation& triggerInfo,
        int transId)
{
    int errCode = ErrNoError;

    switch(channelId)
    {
        default:
            errCode = ErrNotSupported;
            break;
    }
    return errCode;
}

int QNetworkInfo::stopChannel( SysInfoProperty channelId ) 
{
    int errCode = ErrNoError;

    switch( channelId )
    {
        default:
            errCode = ErrNotSupported;
            break;
    }
    return errCode;
}

int QNetworkInfo::setChannelSync( SysInfoProperty channelId , const QVariant& input,QMap<SysInfoProperty, QVariant>& errData)
{
    int errCode = ErrNoError;

    switch(channelId)
    {
        default:
            errCode = ErrNotSupported;
            errData.insert( channelId, "" );
            break;
    }
    return errCode;
}

int QNetworkInfo::cancel( SysInfoProperty channelId , int transId)
{
    int errCode = ErrNoError;
    
    switch( channelId )
    {
        default:
            errCode = ErrNotSupported;
            break;
    }

    return errCode;
}

int QNetworkInfo::getChannelList(QList<SysInfoProperty>& channelList) 
{
    return 0;
}
