#ifndef __QNETWORKINFO_H
#define __QNETWORKINFO_H

#include "qisysinfo.h"
#include "qsysinfotypes.h"

template <class SysInfoProperty,class ChannelInformation  >
class QMap;

class QDBusMessage;

class QNetworkInfo :  public QISysInfo
{
    Q_OBJECT
public:
    QNetworkInfo();
    ~QNetworkInfo();
	int getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input ,
            QMap<SysInfoProperty, QVariant>& channelInfo );
    int getChannelAsync( SysInfoProperty channelId , int transId);
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    int setChannelSync( SysInfoProperty channelId ,  const QVariant& input,QMap<SysInfoProperty, QVariant>& errData);
    int cancel( SysInfoProperty channelId , int transId) ;
    int getChannelList(QList<SysInfoProperty>& channelList);
};

#endif // __QNETWORKINFO_H
