#ifndef __QSYSINFOTYPES_H
#define __QSYSINFOTYPES_H

#include <QMap>
#include <QVariant>

typedef unsigned short SysInfoProperty;

typedef enum {
    TypeSynchrounous = 1 , 
    TypeAsynchrounous = 2, 
    TypeOneShot = 4, 
    TypeNotification =8
} QBehaviourType;

typedef enum {
    TypeInvalid = -1,
    TypeChannel = 1,
    TypeProperty
} QPropertyType;

typedef QMap<SysInfoProperty,QVariant> ChannelInformation;
Q_DECLARE_METATYPE(ChannelInformation)

typedef QList< QMap<SysInfoProperty, QVariant> > drives;
Q_DECLARE_METATYPE(drives)

#endif //__QSYSINFOTYPES_H
