/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */



#ifndef __WRTWIDGETCONTAINERMAEMO_H__
#define __WRTWIDGETCONTAINERMAEMO_H__

#include <QObject>
#include "wrtwidgetcontainerBase.h"
#include "widgetcoreglobal.h"

namespace WRT {

// FIXME : Code should be moved to WidgetContainerBase if needed. We should get rid of this class.
class WIDGETCORE_EXPORT WidgetContainerMaemo : public WidgetContainerBase
{
Q_OBJECT

public:
  /** Constructor
   */
  WidgetContainerMaemo();


  /** Destructor
   */
  virtual ~WidgetContainerMaemo();

  /**
   * Sets proxy for running QApplication.
   * FIXME : We should fix this code. This not good place / way to setup proxy.
   */
  void setHttpProxy();

private:
};

}

#endif
