# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

ROOT_DIR = $$PWD/../..
WRT_DIR = $$ROOT_DIR/wrt
include($$ROOT_DIR/shared.pri)

unix:!symbian {
    linux: CONFIG += qdbus

    INCLUDEPATH += $$PWD/wrtapis \
        $$PWD/platform/maemo \
        $$PWD/../MiscServices/SchemeServices/platform/maemo 

    HEADERS += \
        $$PWD/platform/maemo/wrtwidgetcontainerMaemo.h \
        $$PWD/platform/maemo/webwidget.h \
        $$PWD/platform/maemo/desktopfilereader.h

    SOURCES += \
        $$PWD/platform/maemo/wrtwidgetcontainerMaemo.cpp \
        $$PWD/platform/maemo/webwidget.cpp \
        $$PWD/platform/maemo/desktopfilereader.cpp
}

HEADERS += \
    $$PWD/widgetcoreglobal.h \
    $$PWD/wrtwidgetcontainerBase_p.h \
    $$PWD/wrtwidgetcontainerBase.h \
    $$PWD/widgetcorelogs.h

SOURCES += \
    $$PWD/wrtwidgetcontainerBase.cpp \
