# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

#
# Include for base subdir
#

QT += network

HEADERS += $$PWD/wrtapiinterface.h \
           $$PWD/wrtapimanager.h \
           $$PWD/wrtapiprovider.h \
           $$PWD/serviceprovider.h \
           $$PWD/serviceproxy.h \
           $$PWD/jsversion.h \
           $$PWD/jsmenuitem.h \
           $$PWD/jsmenuitemfactory.h \
           $$PWD/jsmenu.h \
           $$PWD/jsviewmenu.h \
           $$PWD/jscontextmenu.h \
           $$PWD/jswidgetinterface.h \
           $$PWD/jsresourcewrapper_p.h \
           $$PWD/jsresourcewrapper.h\
           $$PWD/action.h \
           $$PWD/actionadapter.h \
           $$PWD/jstoolbar.h \
           $$PWD/jsescapebutton.h \
           $$PWD/jstheme.h

SOURCES += $$PWD/wrtapimanager.cpp \
           $$PWD/wrtapiprovider.cpp \
           $$PWD/serviceproxy.cpp \
           $$PWD/jsversion.cpp \
           $$PWD/jsmenuitem.cpp \
           $$PWD/jsmenuitemfactory.cpp \
           $$PWD/jsmenu.cpp \
           $$PWD/jsviewmenu.cpp \
           $$PWD/jscontextmenu.cpp \
           $$PWD/jswidgetinterface.cpp \
           $$PWD/jsresourcewrapper.cpp\
           $$PWD/action.cpp \
           $$PWD/actionadapter.cpp \
           $$PWD/jstoolbar.cpp \
           $$PWD/jsescapebutton.cpp \
           $$PWD/jstheme.cpp

RESOURCES    += $$PWD/wrtapis.qrc
