# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#


HEADERS += \
$$PWD/zconf.h \
$$PWD/zlib.h \
$$PWD/crc32.h \
$$PWD/deflate.h \
$$PWD/inffast.h \
$$PWD/inffixed.h \
$$PWD/inflate.h \
$$PWD/inftrees.h \
$$PWD/trees.h \
$$PWD/zutil.h \
$$PWD/crypt.h \
$$PWD/ioapi.h \
$$PWD/unzip.h \
$$PWD/zzip.h

SOURCES += \
$$PWD/adler32.c \
$$PWD/compress.c \
$$PWD/crc32.c \
$$PWD/deflate.c \
$$PWD/gzio.c \
$$PWD/infback.c \
$$PWD/inffast.c \
$$PWD/inflate.c \
$$PWD/inftrees.c \
$$PWD/trees.c \
$$PWD/uncompr.c \
$$PWD/zutil.c \
$$PWD/ioapi.c \
$$PWD/unzip.c \
$$PWD/zzip.cpp

# Believe that the following lines are useless on all platforms as there are no libraries in $$WRT_OUTPUT_DIR
!s40:!isEmpty(WRT_OUTPUT_DIR): {
    LIBS += -L$$WRT_OUTPUT_DIR
}
