#ifndef __QMEDIA_P_H
#define __QMEDIA_P_H

#include "qmedia.h"

class QMediaPrivate : public QMedia
{
    Q_OBJECT
public:
    QMediaPrivate();
    
    int getChannelList(QList<SysInfoProperty>& channelList) ;
    
	int getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input ,
            QMap<SysInfoProperty, QVariant>& channelInfo );
    int getChannelAsync( SysInfoProperty channelId , int transId);
    
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    
    int setChannelSync( SysInfoProperty channelId ,
            const QVariant& input,
            QMap<SysInfoProperty, QVariant>& errData);
    
    int cancel( SysInfoProperty channelId , int transId) ;
    
};


#endif // __QMEDIA_P_H
