#include "qmultimedia.h"
#include "qsysinfoerrors.h"
#include "qsysinfoproperties.h"

using namespace Multimedia;


int QMultimedia::getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input ,
            QMap<SysInfoProperty, QVariant>& channelInfo )
{
    int errCode = ErrNoError;
    QSysInfoElement element;
    
    switch( channelId )
    {
        default:
            errCode = ErrNotSupported;
            channelInfo.insert( channelId, "" );
            break;
    }
    return errCode;
}

int QMultimedia::getChannelAsync( SysInfoProperty channelId , int transId)
{
    return 0;
}

int QMultimedia::startChannel( SysInfoProperty channelId,
                                 const ChannelInformation& triggerInfo,
                                 int transId)
{
    return 0;
}
int QMultimedia::stopChannel( SysInfoProperty channelId) 
{
return 0;

}
int QMultimedia::setChannelSync( SysInfoProperty channelId ,  const QVariant& input, QMap<SysInfoProperty, QVariant>& errData )
{
    
    int errCode = ErrNoError;

    switch(channelId)
    {
        default:
            errCode = ErrNotSupported;
            errData.insert( channelId, "" );
            break;
    }
    return errCode;
}
int QMultimedia::cancel( SysInfoProperty channelId , int transId)
{

    return 0;
}
int QMultimedia::getChannelList(QList<SysInfoProperty>& channelList) 
{
    return 0;
}
