#ifndef __QSYSINFOFACTORY_H
#define __QSYSINFOFACTORY_H

#include "qsysinfotypes.h"
#include <QList>

class QISysInfo;
class QString;

class QDeviceInfo;
class QDeviceExtensions;

class QSysInfoFactory 
{
    QSysInfoFactory();
public:
    ~QSysInfoFactory();
    
    QISysInfo* getSysInfoInstance( SysInfoProperty channelId );
    QList<QISysInfo*> getSysInfoInstances();
    
    static QSysInfoFactory& factoryInstance();
    bool isChannelValid(SysInfoProperty channelId);
private:
    QISysInfo** sysInfoInstances;

};


#endif // __QSYSINFOFACTORY_H
